import { ApiConfig } from 'base-api-service';
import { Credentials } from 'base-api-service';
// Nest Api
var faker = require('faker');
var MocksUtil = /** @class */ (function () {
    function MocksUtil() {
    }
    // TODO create mock data using external json files
    /**
     * Create a mocked instance of the ApiConfig object to be used in tests
     * @param apiUrls the list of ApiUrls with which must be created.
     */
    MocksUtil.createMockedApiConfig = function () {
        var apiConfig = new ApiConfig();
        apiConfig.credentials = new Credentials(faker.internet.userName(), faker.internet.password(), ';');
        apiConfig.timeExpired = 5;
        apiConfig.apiUrls = [
            { id: 'HEROES_SERVICE_URL', url: 'http://127.0.0.1:3000/api/heroes' },
            { id: 'VILLAINS_SERVICE_URL', url: 'http://127.0.0.1:3000/api/villains' },
            { id: 'OAUTH_SERVICE_URL', url: 'http://localhost:3000/api/oauth/token' }
        ];
        apiConfig.errorHandler = 'SIMPLE';
        apiConfig.loggerService = 'CONSOLE';
        apiConfig.authService = 'OAUTH';
        return apiConfig;
    };
    /**
     * Create a mocked instance of the oath token returned by the authentication service
     */
    MocksUtil.createMockedOauthToken = function () {
        return {
            'access_token': 'a1b2c3d4-4g67-5t5t-6j6j-5f4fg4',
            'token_type': 'bearer',
            'refresh_token': '12345678-8888-9999-b676',
            'expires_in': 43199,
            'scope': 'openid'
        };
    };
    return MocksUtil;
}());
export { MocksUtil };
//# sourceMappingURL=mocks.util.js.map